Skip to main content
POST
Create a contact

Authorizations

Authorization
string
header
required

Workspace API key, e.g. Authorization: Bearer cb_live_.... Create one in Settings → API Keys. See public_api.md § 3 for scopes.

Body

phone
string
required
write-only
Minimum string length: 1
name
string
write-only
email
Maximum string length: 254
company
string | null
Maximum string length: 255
notes
string | null
tags
any

Response

201 - application/json
receiver_id
string
required
Maximum string length: 255
phone
string
required
read-only
name
string
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
email
Maximum string length: 254
company
string | null
Maximum string length: 255
notes
string | null
tags
any
status
enum<string>
  • active - active
  • inactive - inactive
  • stop_comms - stop_comms
  • stop_marketing_comms - stop_marketing_comms
Available options:
active,
inactive,
stop_comms,
stop_marketing_comms
conv_status
enum<string>
  • open - Open
  • resolved - Resolved
  • pending - Pending
  • spam - Spam
  • converted - Converted
Available options:
open,
resolved,
pending,
spam,
converted
priority
enum<string>
  • low - Low
  • normal - Normal
  • high - High
  • urgent - Urgent
Available options:
low,
normal,
high,
urgent
ctwa_clid
string
Maximum string length: 512
ctwa_source_id
string
Maximum string length: 128
ctwa_source_url
string
Maximum string length: 512
ctwa_headline
string
Maximum string length: 255
ctwa_referral_at
string<date-time> | null